.ui-datepicker {
    background-color: #FFFFFF;
    padding: 1rem; z-index: 1100 !important;
    box-shadow: 0 0 1rem rgba(0,0,0,0.25);
    color: #000000;
}
.ui-datepicker-trigger {
    display: none;
}

/****************************************************************************
 * Header
 ****************************************************************************/
.ui-datepicker-header {
    padding-bottom: 0.5rem;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
}
.ui-datepicker-header > * {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 auto;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    max-width: 100%;
}
.ui-datepicker-header .ui-datepicker-title {
    order: 2;
    text-align: center;
    -webkit-box-flex: 1;
    -webkit-flex: 1 1 0px;
    -ms-flex: 1 1 0px;
    flex: 1 1 0px;
    min-width: 0;
}
.ui-datepicker-header .ui-datepicker-prev {
    order: 1; font-size: 0; width: 1.5rem;
    height: 1.5rem; position: relative;
}
.ui-datepicker-header .ui-datepicker-prev:after {
    content: ''; position: absolute; top: 50%; left: 50%;
    width: 0.75rem; height: 0.75rem; border: 0.125rem solid currentColor;
    border-top: none; border-right: none;
    -webkit-transform: translate(-50%,-50%) rotate(45deg);
    -moz-transform: translate(-50%,-50%) rotate(45deg);
    -ms-transform: translate(-50%,-50%) rotate(45deg);
    -o-transform: translate(-50%,-50%) rotate(45deg);
    transform: translate(-50%,-50%) rotate(45deg);
}
.ui-datepicker-header .ui-datepicker-next {
    order: 3; font-size: 0; width: 1.5rem;
    height: 1.5rem; position: relative;
}
.ui-datepicker-header .ui-datepicker-next:after {
    content: ''; position: absolute; top: 50%; left: 50%;
    width: 0.75rem; height: 0.75rem; border: 0.125rem solid currentColor;
    border-top: none; border-right: none;
    -webkit-transform: translate(-50%,-50%) rotate(225deg);
    -moz-transform: translate(-50%,-50%) rotate(225deg);
    -ms-transform: translate(-50%,-50%) rotate(225deg);
    -o-transform: translate(-50%,-50%) rotate(225deg);
    transform: translate(-50%,-50%) rotate(225deg);
}


/****************************************************************************
 * Table
 ****************************************************************************/
.ui-datepicker table {
    margin: 0; border: none;
}
.ui-datepicker table thead, 
.ui-datepicker table tbody, 
.ui-datepicker table tfoot {
    background-color: transparent;
    border: none;
}
.ui-datepicker table thead {
    background-color: #000000;
    color: #FFFFFF;
}
.ui-datepicker table tbody tr:nth-child(even) {
    background: transparent;
}
.ui-datepicker tbody th, 
.ui-datepicker tbody td {
    padding: 0;
}
.ui-datepicker tbody th > *,
.ui-datepicker tbody td > * {
    padding: 0.5rem 0.625rem 0.625rem;
    display: block;
}
.ui-datepicker td {
    border: 1px solid #f4f4f4;
    text-align: center;
    font-weight: 700;
}

.ui-datepicker td a:hover,
.ui-datepicker td a.ui-state-active {
    background-color: #000000;
    color: #FFFFFF;
}

.ui-datepicker-unselectable {
    background: #fafafa;
}
.ui-datepicker-unselectable > * {
    opacity: 0.5;
}